%define oname   mime-types

Name:       ruby-%{oname}
Version:    3.4.1
Release:    %mkrel 1
Summary:    MIME Content-Type database
Group:      Development/Ruby
License:    GPLv2+ or Ruby License or Artistic
URL:        http://mime-types.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This library allows for the identification of a file's likely MIME content
type.The identification of MIME content type is based on a file's filename
extensions.

MIME::Types for Ruby originally based on and synchronized with MIME::Types for
Perl by Mark Overmeer, copyright 2001 - 2009. As of version 1.15, the data
format for the MIME::Type list has changed and the synchronization will no
longer happen.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}
%doc History* Manifest.txt Licence.* README.*


%changelog
* Tue May 03 2022 pterjan <pterjan> 3.4.1-1.mga9
+ Revision: 1855649
- Update to 3.4.1

* Fri Mar 25 2022 umeabot <umeabot> 3.3.1-2.mga9
+ Revision: 1826525
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 3.3.1-1.mga8
+ Revision: 1561478
- Update to 3.3.1

* Wed Feb 12 2020 umeabot <umeabot> 3.2.2-3.mga8
+ Revision: 1507807
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.2.2-2.mga7
+ Revision: 1290989
- Mageia 7 Mass Rebuild

* Sat Sep 01 2018 pterjan <pterjan> 3.2.2-1.mga7
+ Revision: 1256005
- Update to 3.2.2

* Sun Aug 20 2017 pterjan <pterjan> 3.1-1.mga7
+ Revision: 1141854
- Update to 3.1

* Thu Jan 07 2016 pterjan <pterjan> 2.6.2-1.mga6
+ Revision: 920180
- Downgrade to to 2.6.2

* Tue Jan 05 2016 pterjan <pterjan> 3.0-1.mga6
+ Revision: 919729
- Update to 3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.3-3.mga5
+ Revision: 746478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-2.mga5
+ Revision: 688867
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 2.3-1.mga5
+ Revision: 626762
- 2.3

* Sat Dec 28 2013 pterjan <pterjan> 1.25-4.mga4
+ Revision: 562010
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.25-3.mga4
+ Revision: 561397
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.25-2.mga4
+ Revision: 538272
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 1.25-1.mga4
+ Revision: 489137
- new version 1.25

* Fri Sep 20 2013 pterjan <pterjan> 1.19-5.mga4
+ Revision: 482200
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.19-4.mga4
+ Revision: 480027
- Fix file list
- Use gem_setup
- Patch to remove missing files from gemspec

* Fri Feb 08 2013 umeabot <umeabot> 1.19-3.mga3
+ Revision: 396155
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.19-2.mga3
+ Revision: 381119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.19-1.mga3
+ Revision: 312624
- new version 1.19

* Fri Jun 08 2012 shlomif <shlomif> 1.18-1.mga3
+ Revision: 257532
- Made the description more meaningful
+ solbu <solbu>
- New version
- Spec cleanup
- Drop patch

* Mon Feb 07 2011 shikamaru <shikamaru> 1.16-5.mga1
+ Revision: 48552
- imported package ruby-mime-types

